# Generated from refinerycms-libris-1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name refinerycms-libris

Name: rubygem-%{gem_name}
Version: 1.2
Release: 1%{?dist}
Summary: Libris extension for Refinery CMS.  This Gem can be used to build a library of Thelemic texts
License: GPL-2
URL: http://www.nightofpan.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(refinerycms-testing) >= 2.0.8
# BuildRequires: rubygem(refinerycms-testing) < 2.1
BuildArch: noarch

%description
Ruby on Rails Libris extension for Refinery CMS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/readme.md

%changelog
* Wed Apr 20 2022 mockbuilder - 1.2-1
- Initial package
